> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /cran/packages/search

> Search CRAN packages by query

**Price:** 5 credits per 10 results



## OpenAPI

````yaml /openapi/package-registries.json post /api/cran/packages/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/cran/packages/search:
    post:
      tags:
        - /cran
      summary: /cran/packages/search
      description: |-
        Search CRAN packages by query

        **Price:** 5 credits per 10 results
      operationId: __api_cran_packages_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CranPackagesSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CranSearchPackage'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CranPackagesSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - query
        - count
    CranSearchPackage:
      properties:
        '@type':
          type: string
          default: CranSearchPackage
        name:
          type: string
        alias:
          type: string
        package_title:
          anyOf:
            - type: string
            - type: 'null'
        version:
          type: string
          default: ''
        depends:
          additionalProperties:
            type: string
          type: object
          default: {}
        imports:
          additionalProperties:
            type: string
          type: object
          default: {}
        suggests:
          additionalProperties:
            type: string
          type: object
          default: {}
        enhances:
          additionalProperties:
            type: string
          type: object
          default: {}
        linking_to:
          additionalProperties:
            type: string
          type: object
          default: {}
        license:
          anyOf:
            - type: string
            - type: 'null'
        homepage:
          anyOf:
            - type: string
            - type: 'null'
        bugreports_url:
          anyOf:
            - type: string
            - type: 'null'
        maintainer:
          anyOf:
            - type: string
            - type: 'null'
        maintainer_email:
          anyOf:
            - type: string
            - type: 'null'
        author:
          anyOf:
            - type: string
            - type: 'null'
        needs_compilation:
          type: boolean
          default: false
        repository:
          anyOf:
            - type: string
            - type: 'null'
        published_at:
          type: string
          default: ''
        md5sum:
          anyOf:
            - type: string
            - type: 'null'
        system_requirements:
          anyOf:
            - type: string
            - type: 'null'
        download_count:
          type: integer
          default: 0
        revdep_count:
          type: integer
          default: 0
        search_score:
          anyOf:
            - type: number
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - name
        - alias
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````